import { i as initSync } from './shared/ezno.7e5853cc.mjs';
export { c as check, e as experimental_build, g as get_version, j as just_imports, m as minify_module, p as parse_expression, a as parse_module } from './shared/ezno.7e5853cc.mjs';
import { readFileSync } from 'node:fs';

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", import.meta.url);
if (wasmPath.protocol === "https:") {
  initSync(await fetch(wasmPath).then((response) => response.arrayBuffer()));
} else {
  initSync(readFileSync(wasmPath));
}
